Subject: Re: [patch net-next v3 04/17] net: introduce generic switch devices support

From: Jamal Hadi Salim <[email-masked]>
Date: Thu, 27 Nov 2014 07:46:01 -0500

On 11/27/14 00:58, Scott Feldman wrote:

> You have access to the inside scope.  We don't.  Ok, I don't.  We
> (think we) know what the traditional L2/L3 and OVS-style flow stuff
> looks like, but you know more, but you can't show us in code so it's
> frustrating.  Not your fault.  Just continue to guide us and give some
> disclaimer when we're your close to some proprietary knowledge, but it
> is relevant to the discussion.
>

Scott, I am asking to offload basic functionality that Linux supports.
I may be blind-sided and getting frustrated thinking it is obvious
because i live through this stuff everyday; but I am trying all i can
to share what you call proprietary knowledge whenever i can. If you
think of this as "we need to offload all packet processing linux
supports" you'll see where i am coming from.

cheers,
jamal